The Unix Call-API for CA Automic Workload Automation is not working with the delivered ini file

Document ID : KB000092576
Last Modified Date : 11/07/2018
Show Technical Document Details
Issue:
When installing a new Call-API for Unix (e.g.: Linux x64) for CA Automic Workload Automation in version 12.1 it won't connect to the Automation Engine because of the following Error:
 
U03000008 CP reports as system 'XYZ', CallAPI expects 'UC4'.
Environment:
N/A
Cause:
The reason for this issue is that in the delivered ini file the parameter "system=" is missing in the section [GLOBAL].
Resolution:
Workaround:
Add the parameter "system=" to the section [GLOBAL] in the ini file and fill in the correct system Automation Engine system name.
User-added image

Solution:
Upgrade to the fix version below or a higher one.

Component(s):
Call API Unix

Fix Version(s):
Automation Engine 12.1.3 - planned release date 2018-09-24